#include "paddle.h"

#define PADDLE_WIDTH 100
#define PADDLE_HEIGHT 20
#define SCREEN_WIDTH 800

Paddle InitPaddle() {
    Paddle paddle;
    paddle.rect = (Rectangle){SCREEN_WIDTH / 2 - PADDLE_WIDTH / 2, 550, PADDLE_WIDTH, PADDLE_HEIGHT};
    paddle.speed = 5.0f;
    return paddle;
}

void UpdatePaddle(Paddle *paddle) {
    if (IsKeyDown(KEY_LEFT) && paddle->rect.x > 0) {
        paddle->rect.x -= paddle->speed;
    }
    if (IsKeyDown(KEY_RIGHT) && paddle->rect.x < SCREEN_WIDTH - paddle->rect.width) {
        paddle->rect.x += paddle->speed;
    }
}

void DrawPaddle(Paddle paddle) {
    DrawRectangleRec(paddle.rect, BLUE);
}
