#ifndef BRICK_H
#define BRICK_H

#include "raylib.h"
#include "ball.h"

#define BRICK_ROWS 5
#define BRICK_COLS 8
#define BRICK_WIDTH 80
#define BRICK_HEIGHT 30

typedef struct {
    Rectangle rect;
    bool active;
} Brick;

void InitBricks();
void DrawBricks();
void CheckBrickCollision(Ball *ball);

#endif
